#ifndef COMPUTERLF_H
#define COMPUTERLF_H

#include "board.h"
#include "move.h"
#include "player.h"

class ComputerLF : public Player
{
public:
   using Player::Player;     // Loesung: Konstruktor-Vererbung

   Move askForMove(const Board&) override;

   std::string getName() const override { return "Computer-LF"; }
};

#endif

